function show_mb

global faces num numrow numcol vecsize meanface newfaces V D eigfaces errors
global avgerr

mb = get(gcbo, 'Value');
v = get(findobj('Tag', 'show_list'), 'Value');
switch (mb)
case 1
    f = faces(:,v);
    set(findobj('Tag', 'show_list'), 'Enable', 'on');
case 2
    f = meanface;
    v = 1;
    set(findobj('Tag', 'show_list'), 'Enable', 'off');
case 3
    f = eigfaces(:,v);
    set(findobj('Tag', 'show_list'), 'Enable', 'on');
case 4
    f = newfaces(:,v);
    set(findobj('Tag', 'show_list'), 'Enable', 'on');
case 10
    set(findobj('Tag', 'show_list'), 'Enable', 'off');
otherwise
    set(findobj('Tag', 'show_list'), 'Enable', 'on');
end

if mb == 5 | mb == 6 | mb == 7
    f = zeros(vecsize, 1);
    switch (mb)
    case 5
        n = 40;
    case 6
        n = 80;
    case 7
        n = num - 1;
    end
    if num - 1 < n
        n = num - 1;
    end
    tf = transpose(newfaces(:,v));
    for i = 1:n
        img(i) = tf * eigfaces(:,i);
        f = f + (img(i) * eigfaces(:, i));
    end
    f = f + meanface;
end

if mb <= 7
    display_image(f, numrow, numcol);
elseif mb == 8
    plot(faces(:,v));
elseif mb == 9
    plot(errors(:,v));
else
    plot(avgerr);
end
