function show_list

global faces num numrow numcol vecsize meanface newfaces V D eigfaces errors
global avgerr

v = get(gcbo, 'Value');
mb = get(findobj('Tag', 'show_mb'), 'Value');
switch (mb)
case 1
    f = faces(:,v);
case 2
    return;
case 3
    f = eigfaces(:,v);
case 4
    f = newfaces(:,v);
end

if mb == 5 | mb == 6 | mb == 7
    switch (mb)
    case 5
        n = 40;
    case 6
        n = 80;
    case 7
        n = num - 1;
    end
    if num - 1 < n
        n = num - 1;
    end
    f = zeros(vecsize, 1);
    tf = transpose(newfaces(:,v));
    for i = 1:n
        img(i) = tf * eigfaces(:,i);
        f = f + (img(i) * eigfaces(:, i));
    end
    f = f + meanface;
end

if mb <= 7
    display_image(f, numrow, numcol);
elseif mb == 8
    plot(faces(:,v));
elseif mb == 9
    plot(errors(:,v));
end

